WordPressのWP to Twitterプラグインに翻弄される

Twitterの認証がOAuthに変わるのに伴い、WP to Twitterもアップデートしなきゃいけない。ていう通知が出ていたけど、1回アップデートしたらうまく認証できない。。。。、と言うことで放置していたんだけど、8月31日付けで完全に切り替わったので、アップデートしないといけない。
プラグインからβとれたんでいけるかな~とおもったらやっぱり認証できない。
うぉぉぉぉぉぉぉ、なぜ??と悩んでFAQみてみたら、cURLなるものが必要なのは解ったが、何じゃそれ状態(>_<)
適当にツイッターにポスト。某氏よりヒントのポスト。
そこからいろいろgoogle先生に質問していったら解決。debianだと、php5-curlパッケージをインストールしたらOKと言うことだった。

というわけで、
apt-get install php5-curl
したあとに、Apacheを再起動したら解決した。感動感動。
関係諸氏の皆様方ありがとう~~~~

参考にしたURL
XAMPPでcurlやopensslなどのPHPエクステンションを有効にする方法
PHP: Debian GNU/Linux へのインストール – Manual

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください